package com.fjhx.mail.service.signature;

import com.fjhx.mail.entity.signature.po.MailSignature;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.signature.vo.MailSignatureVo;
import com.fjhx.mail.entity.signature.dto.MailSignatureSelectDto;
import com.fjhx.mail.entity.signature.dto.MailMailSignatureDto;

import java.util.List;


/**
 * <p>
 * 签名 服务类
 * </p>
 *
 * @author 
 * @since 2023-08-24
 */
public interface MailSignatureService extends BaseService<MailSignature> {

    /**
     * 签名分页
     */
    Page<MailSignatureVo> getPage(MailSignatureSelectDto dto);

    /**
     * 签名明细
     */
    MailSignatureVo detail(Long id);

    /**
     * 签名新增
     */
    void add(MailMailSignatureDto mailSignatureDto);

    /**
     * 签名编辑
     */
    void edit(MailMailSignatureDto mailSignatureDto);

    /**
     * 签名删除
     */
    void delete(Long id);

    /**
     * 获取模板名称列表
     */
    List<String> getTemplateList();
}
